## org.freedesktop.NetworkManager.Device.Tun

org.freedesktop.NetworkManager.Device.Tun

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    Owner       readable   x
    Group       readable   x
    Mode        readable   s
    NoPi        readable   b
    VnetHdr     readable   b
    MultiQueue  readable   b
    HwAddress   readable   s

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "Owner" property

    Owner  readable   x

The uid of the tunnel owner, or -1 if it has no owner.

### The "Group" property

    Group  readable   x

The gid of the tunnel group, or -1 if it has no owner.

### The "Mode" property

    Mode  readable   s

The tunnel mode, either "tun" or "tap".

### The "NoPi" property

    NoPi  readable   b

The tunnel's "TUN_NO_PI" flag; true if no protocol info is prepended to the tunnel packets.

### The "VnetHdr" property

    VnetHdr  readable   b

The tunnel's "TUN_VNET_HDR" flag; true if the tunnel packets include a virtio network header.

### The "MultiQueue" property

    MultiQueue  readable   b

The tunnel's "TUN_TAP_MQ" flag; true if callers can connect to the tap device multiple times, for multiple send/receive queues.

### The "HwAddress" property

    HwAddress  readable   s

Hardware address of the device.